Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a MongoDB database. You'll need to provide a host, key and token:

  • host : database location (including port number) and database. eg. mongodb+srv://burrito.mongodb.net/my-mongo-database for MongoDB Atlas eg. public_host_url:port/my-mongo-database for MongoDB databases running on other servers (we will prepend the connection string with mongodb:// )

  • key : the username of the MongoDB user. We advise you to use a dedicated read-only technical user.

  • token : the password of the MongoDB user.

Notes:

  1. We only support TLS1.2 connections as part of our security best practices, this ensures that all communication between our platform and your database (e.g. data in transit) will be encrypted!

  2. To ensure that e.g. only the Luzmo application can access your MongoDB instance, it is highly recommended to whitelist Luzmo's range of static IP addresses. You should whitelist Luzmo's range of IP addresses as described here .

  3. If you use a global user (one defined on the 'admin' database, that has access to all databases), use a connection string that explicitly sets the authentication database, like: mongodb+srv://burrito.mongodb.net/my-mongo-database?authSource=admin

  4. If you want to separate the workload of the analytical queries run by us from your main application workload, you could set up a separate read-replica.

  5. Because MongoDB is schemaless (meaning any document within a MongoDB collection could have a varying sets of fields with different data types for each field) Luzmo infers the structure of a dataset and the data types of the columns from the first 1000 records in the dataset. The fallback data type is 'hierarchy'. You cannot change the columns' base type manually in Luzmo. We run a metadata sync every few hours to keep the structure in Luzmo the same as the structure in the database. In case you have done adaptations to the dataset structure and would like to trigger the metadata sync manually, you can do so from the dataset details page which you can reach by clicking the More Info 'i' icon .

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "properties": {
    "key": "<your username>",
    "host": "<your host>"
  },
  "id": "716292ec-58ad-4557-bc58-ea7b48717b35",
  "provider": "mongodb",
  "date": "2024-08-02T09:25:12.926Z",
  "identifier": null,
  "expiry": null,
  "scope": null,
  "host": null,
  "name": "MongoDB",
  "description": null,
  "port": null,
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "version": null,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "created_at": "2024-08-02T09:25:12.936Z",
  "updated_at": "2024-08-02T09:25:12.963Z",
  "user_id": "abca9830-0dad-4b11-a6d4-23972c124020",
  "plugin_id": "abca9830-f4f5-433a-9d67-cd4d898b2b77",
  "shareable_id": "49d03d2a-2889-4b81-b97c-024a0e22f0cd"
}